Get All Dispute Comments
Get All Dispute Comments
Path
GET /disputes/{disputeId}/comments Request Parameters
disputeId
required
string <uuid>
unique identifier for the dispute, it should be a GUID
Responses
-
idstringThe unique identifier of the comment in uuid format.disputeIdstringThe identifier of the dispute the comment is associated with.bodystringThe text contents of the comment.visibilityintegerEnum:
- 1
- 2
- 4
Internal = 1, Customer = 2, Merchant = 4arrayA list of files attached to the comment as evidence.idstringThe unique identifier of the attachment.fileNamestringThe name for the attachment that has been generated for internal use.originalFileNamestringThe name that the attachment was originally uploaded with.thumbnailUrlstringIf a thumbnail has been created, this will be the URL to it with a time-limited access token.createdAtstringyyyy-MM-ddTHH:mm:ss.fffffffzzzWhen it was created.sizeintegerThe number of bytes.mimeTypestringThe type of file content, e.g. image/jpeg.originalFileUrlstringThe direct link to download the file.malwareDetectedbooleanUnpopulated if the attachment has not been scanned yet. True if malware was detected, false if not.objectThe author of the comment.namestringclientNamestringfirstNamestringlastNamestringemailstringnamestringnamestringfirstNamestringlastNamestringemailstringnamestringcreatedAtstringyyyy-MM-ddTHH:mm:ss.fffffffzzzWhen the comment was created. -
statusCodeintegertargetSiteobjectmessagestringdataobjectinnerExceptionobjecthelpLinkobjectsourceobjecthResultintegerstackTraceobject
Request Example
{}
Response Example
[
{
"id": "28bf3f48-3e90-438d-722a-08ddb25b01d7",
"body": "Attached is the proof of delivery",
"author": {
"$type": "Client",
"clientName": "Example Client Inc6191"
},
"createdAt": "2025-06-23T13:36:49.7430971Z",
"disputeId": "50fc9c37-cbcb-49f5-d72b-08dd939e9062",
"attachments": [
{
"id": "d3cd4950-9541-4867-063f-08ddb25bc8cc",
"size": 1784046,
"mimeType": "image/jpeg",
"createdAt": "2025-06-24T08:17:00Z",
"originalFileName": "Group_of_cats.jpg"
}
]
}
]